
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL语句性能优化（续） / iVAN</title>

    <meta name="description" content="SQL语句性能优化（续） 上篇介绍了一下自己在项目中遇到的一种使用sql语句的优化方式(性能优化--SQL语句),但是说的不够完整.在对比的过程中,没有将max函数考虑在内,经人提醒之后赶紧做了一个测试,测试过程中又学到了不少的东西. 上次用的是select count(*) 和select * 的执行效率问题,因为我的需求是获取数据的一个总数来自动给出新的id,然后网友给出可以使用max的方式给出新id.其实这也是一种不错的思路(当时我们也用过该函数,只不过因为系统数据本身问题,不适合用该函数),然后我就对max函数的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL语句性能优化（续）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上篇介绍了一下自己在项目中遇到的一种使用sql语句的优化方式（性能优化——SQL语句），但是说的不够完整。在对比的过程中，没有将max函数考虑在内，经人提醒之后赶紧做了一个测试，测试过程中又学到了不少的东西。</p>
<p>上次用的是select count（*） 和select * 的执行效率问题，因为我的需求是获取数据的一个总数来自动给出新的id，然后网友给出可以使用max的方式给出新id。其实这也是一种不错的思路（当时我们也用过该函数，只不过因为系统数据本身问题，不适合用该函数），然后我就对max函数的性能做了一下测试。</p>
<p>第一次测试：</p>
<p>Declare @dddd Datetime Set @dddd=GETDATE() select MAX(num) from T_BasicInformation select [花费时间]=DATEDIFF(ms,@dddd,GetDate())<br />
<br />测试结果：</p>
<p>通过对比发现，使用该方法的执行效率貌似不如select count（*） 的效率高（当时测得的时间为3ms），那么事实真的是这样吗？后来查了一些资料，发现其实max的效率相对来说会更高，那么为什么我们的测试结果会是这样的呢？咱们接着进行测试</p>
<p>第二次测试：</p>
<p>①语句一</p>
<p>Declare @ddd Datetime Set @ddd=GETDATE() select MAX(id) from t_SellLogDetail select [花费时间]=DATEDIFF(ms,@ddd,GetDate())</p>
<p>测试结果：</p>
<p>②语句二</p>
<p>Declare @dddd Datetime Set @dddd=GETDATE() select MAX(foodId) from t_SellLogDetail select [花费时间]=DATEDIFF(ms,@dddd,GetDate())<br />
<br />测试结果：</p>
<p>③语句三</p>
<p>Declare @ddddd Datetime Set @ddddd=GETDATE() select MAX(orderId) from t_SellLogDetail select [花费时间]=DATEDIFF(ms,@ddddd,GetDate())<br />
<br />测试结果：</p>
<p>做完第二次测试会发现，同样的表，不同的字段，其max函数执行效果就不一样。然后就从数据类型出发了，数据类型如下：</p>
<p>这样的话，我们的测试结果不同问题就迎刃而解了，在max函数的执行过程中，会根据数据类型的不同而有不同的执行效率。如果是主键且为整型，其效率是最高的；而非主键时，int的效率又会高于字符类型。其实这些都很容易理解，各有各的使用方式。</p>
<p>小结：</p>
<p>第一次测试完之后就没有考虑其他的东西，后来又发现在max中还有一些需要注意的地方。所以，在我们平常的学习中，一定要学会拓展学习，不要仅仅限于自己想要的结果。得到结果固然是系统需要的，但是对于处于学习期的我们，这远远不够，我们要不断的探索，才能赢得更大的进步。</p>
<p>关于SQL语句性能优化，小编就给大家介绍到这里，希望对大家有所帮助！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 09:18:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql%e8%af%ad%e5%8f%a5%e4%bc%98%e5%8c%96/" title="sql语句优化">sql语句优化</a>, <a href="https://www.iamivan.net/tag/sql%e8%af%ad%e5%8f%a5%e6%80%a7%e8%83%bd%e4%bc%98%e5%8c%96/" title="sql语句性能优化">sql语句性能优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL语句性能优化（续）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6YLXM.html" rel="bookmark">SQL语句性能优化（续）&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇介绍了一下自己在项目中遇到的一种使用sql语句的优化方式(性能优化--SQL语句),但是说的不够完整.在对比的过程中,没有将max函数考虑在内,经人提醒之后赶紧做了一个测试,测试过程中又学到了不少的东西. 上次用的是select count(*) 和select * 的执行效率问题,因为我的需求是获取数据的一个总数来自动给出新的id,然后网友给出可以使用max的方式给出新id.其实这也是一种不错的思路(当时我们也用过该函数,只不过因为系统数据本身问题,不适合用该函数),然后我就对max函数的			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVr0Rz.html" rel="bookmark">Oracle之SQL语句性能优化（34条优化方法）&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好多同学对sql的优化好像是知道的甚少,最近总结了以下34条仅供参考. (1)选择最有效率的表名顺序(只在基于规则的优化器中有效): ORACLE的解析器按照从右到左的顺序处理FROM子句中的表名,FROM子句中写在最后的表(基础表 driving table)将被最先处理,在FROM子句中包含多个表的情况下,你必须选择记录条数最少的表作为基础表.如果有3个以上的表连接查询, 那就需要选择交叉表(intersection table)作为基础表, 交叉表是指那个被其他表所引用的表. (2) WH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wRogp.html" rel="bookmark">&lbrack;20151209&rsqb;一条sql语句的优化&lpar;续&rpar;&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20151209]一条sql语句的优化(续).txt http://blog.itpub.net/267265/viewspace-1852195/ --上次提到其中1条sql语句: 1.环境: SYSTEM@192.168.99.105:1521/dbcn&gt; @ver1 PORT_STRING                    VERSION        BANNER ------------------------------ -------------- -------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zG5geM.html" rel="bookmark">oracle sql语句性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|性能|优化|语句 1.选用适合的ORACLE优化器ORACLE的优化器共有3种 A.RULE (基于规则) b.COST (基于成本) c.CHOOSE (选择性) 设置缺省的优化器,可以通过对init.ora文件中OPTIMIZER_MODE参数的各种声明,如RULE,COST,CHOOSE,ALL_ROWS,FIRST_ROWS . 你当然也在SQL句级或是会话(session)级对其进行覆盖. 为了使用基于成本的优化器(CBO, Cost-Based Optimizer) ,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1oq9z.html" rel="bookmark">SQL语句性能调整原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				性能|语句 一.问题的提出在应用系统开发初期,由于开发数据库数据比较少,对于查询SQL语句,复杂视图的的编写等体会不出SQL语句各种写法的性能优劣,但是如果将应用系统提交实际应用后,随着数据库中数据的增加,系统的响应速度就成为目前系统需要解决的最主要的问题之一.系统优化中一个很重要的方面就是SQL语句的优化.对于海量数据,劣质SQL语句和优质SQL语句之间的速度差别可以达到上百倍,可见对于一个系统不是简单地能实现其功能就可,而是要写出高质量的SQL语句,提高系统的可用性. 在多数情况下,Orac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvrak8M.html" rel="bookmark">SQL语句的优化分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql语句性能达不到你的要求,执行效率让你忍无可忍,一般会时下面几种情况. 网速不给力,不稳定. 服务器内存不够,或者SQL 被分配的内存不够. sql语句设计不合理 没有相应的索引,索引不合理 没有有效的索引视图 表数据过大没有有效的分区设计 数据库设计太2,存在大量的数据冗余 索引列上缺少相应的统计信息,或者统计信息过期 .... 那么我们如何给找出来导致性能慢的的原因呢? 首先你要知道是否跟sql语句有关,确保不是机器开不开机,服务器硬件配置太差,没网你说p啊 接着你使用我上一篇文章中提到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQnkKp.html" rel="bookmark">Sql Server 性能优化之包含列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Sql Server 性能优化之包含列 Sql Server 性能优化之包含列        导读:数据数优化查询一直是个比较热门的话题,小生在这方面也只能算是个入门生.今 天我们就讲下数据库包含列这个一项的作用及带来的优化效果           引用下MSDN里面的一段解释:        当查询中的所有列都作为键列或非键列包含在索引中时,带有包含性非键列的索引可以显 著提高查询性能. 这样可以实现性能提升,因为查询优化器可以在索引中找到所有列值:不 访问表或聚集索引数据,从而减少磁盘			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE8vRp.html" rel="bookmark">sql server 性能优化之nolock&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				伴随着时间的增长,公司的数据库会越来越多,查询速度也会越来越慢.打开数据库看到几十万条的数据,查询起来难免不废时间. 要提升SQL的查询效能,一般来说大家会以建立索引(index)为第一考虑.其实除了index的建立之外,当我们在下SQL Command时,在语法中加一段WITH (NOLOCK)可以改善在线大量查询的环境中数据集被LOCK的现象藉此改善查询的效能. 不过有一点千万要注意的就是,WITH (NOLOCK)的SQL SELECT有可能会造成Dirty Read,就是读到无效的数据.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2VLqz.html" rel="bookmark">mysql数据库的sql语句常用优化方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql数据库的sql语句常用优化方法 1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上建立索引. 2.应尽量避免在 where 子句中对字段进行 null 值判断,否则将导致引擎放弃使用索引而进行全表扫描,如: select id from t where num is null 可以在num上设置默认值0,确保表中num列没有null值,然后这样查询: select id from t where num=0 3.应尽量避免在 where			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd0n1p.html" rel="bookmark" class="title">WML教程6：动作和链接</a>
					<div>
						教程|链接 动作和链接设置动作(Do)Do是WML语言中最有有价值的元素之一,它给用户提供一种在当前Card上进行&quot;动作&quot;的通用方法.这种动作通常被定位在用户终端界面的特定部件上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7eJdM.html" rel="bookmark" class="title">几点提高php序运行效率的方法</a>
					<div>
						1.用i+=1代替i=i+1.符合c/c++的习惯,效率还高. 2.尽可能的使用PHP内部函数.自己编写函数之前要详细查阅手册,看有没有相关的函数,否则费力不讨好. 3.能使用单引号字符串尽量使用单引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEVvJb.html" rel="bookmark" class="title">Oracle SCN知识</a>
					<div>
						1.SCN是什么?(system change number/system commit number) 2字节为Wrap(进位值)+4字节为Base(底值) select current_scn,d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pm37M.html" rel="bookmark" class="title">java2d图像缩放特效</a>
					<div>
						效果图如下: 源代码: import java.awt.Color; import java.awt.Dimension; import java.awt.Graphics; import java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNyY0b.html" rel="bookmark" class="title">PS利用钢笔及涂抹抠出多发丝的人物</a>
					<div>
						  涂抹工具抠背景较为复杂,发丝不算太长的人物图片是非常合适的.方法也比较简单,先用钢笔勾出主要的轮廓,头发边缘较好的区域都要抠出来,并复制到新的图层,然后适当降低背景图层的不透明度,在抠出的人物发丝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3K5jp.html" rel="bookmark" class="title">Photoshop快速把大叔的照片转为调皮的Q版大头像</a>
					<div>
						  制作Q版效果需要一定的绘画基础.处理的时候先给人物换背景;然后把头像拉大,并用液化工具创意变形处理,可以找一些好的漫画作品参考;再细化五官,衣服,发丝主要是加强明暗对比即可. 原图 最终效果 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBQmVz.html" rel="bookmark" class="title">Win7系统开机弹出&OpenCurlyDoubleQuote;Windwos 驱动器未就绪&rdquo;怎么解决</a>
					<div>
						  1.右键单击桌面上的计算机图标,选择&quot;管理&quot;; 2.在打开的计算机管理界面中,展开至&quot;系统工具&gt;设备管理器&quot;; 3.右侧展开软盘控制器,右键下面的设备 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRBrep.html" rel="bookmark" class="title">超赞的高大上的动效设计方法</a>
					<div>
						  一.流动的趋势 众所周知,早些年流行的flash主页因其酷炫的效果风靡一时.如今随着html5和css3的发展,在配合高端浏览器的使用环境下,用户可以体验到更流畅顺滑的动画效果. 同时,手机端的动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNLkQM.html" rel="bookmark" class="title">机械键盘选购全攻略</a>
					<div>
						  机械键盘选购全攻略 一.机械键盘的好处 首先我们要知道为什么要选择机械键盘,原因有三: 第一,相比薄膜键盘机械键盘的手感可以让你很容易确定自己按键是否正确,可以减少出错的几率; 第二,机械键盘每个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwmoVb.html" rel="bookmark" class="title">win7玩冒险岛出现VC&plus;&plus; Runtime Error错误怎么办</a>
					<div>
						  原因及解决方法: 1.首先,这个问题和系统补丁无关; 2.其次,和系统优化设置有点关系,更新小组同学发现的&quot;死性不改&quot;的系统包出问题比较多的一个原因,但用我系统包的人很多,玩这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eV0Xb.html" rel="bookmark" class="title">Win7下ADB不能识别设备的可能原因总结</a>
					<div>
						windows识别出来,但是adb或者eclipse的devices下就是不识别,此时可能的原因是64位的系统安装了32位的adb,因为不兼容导致,遇到类似问题的朋友可以了解下 1. 自然是设备没有允 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBw0Nz.html" rel="bookmark" class="title">基于SMTP的邮件发送客户端</a>
					<div>
						http://blog.csdn.net/touch_2011/article/details/6915007					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamo72b.html" rel="bookmark" class="title">Java经典算法汇总之选择排序（SelectionSort）&lowbar;java</a>
					<div>
						a)原理:每一趟从待排序的记录中选出最小的元素,顺序放在已排好序的序列最后,直到全部记录排序完毕.也就是:每一趟在n-i+1(i=1,2,-n-1)个记录中选取关键字最小的记录作为有序序列中第i个记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qye7p.html" rel="bookmark" class="title">How to use JDBC-Authentication of Spring Boot&sol;Spring Security with Flyway</a>
					<div>
						  java.lang.IllegalStateException: Failed to load ApplicationContext at org.springframework.test.con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PG8vp.html" rel="bookmark" class="title">php生成二维码时出现中文乱码的解决方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php生成二维码时出现中文乱码的解决方法.分享给大家供大家参考.具体分析如下: 最近做了个扫描二维码得到vcard的项目,遇到一个问题,有一部分生成完的二维码,用android系统手机扫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2g6Xb.html" rel="bookmark" class="title">ajax2&period;0问题</a>
					<div>
						问题描述 UpdatePanel上多个dropdownlist,autopostback=true执行selectindexchange事件,其他dropdownlist都有刷新,有什么办法使其他do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94jVXb.html" rel="bookmark" class="title">新浪博客开放个性域名的七大原因</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天,国内影响力最大的博客服务提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRrQOb.html" rel="bookmark" class="title">妈妈网杨刚：从Q群到年营收数亿我给老婆做天使</a>
					<div>
						母婴类电商和社区无疑是今年资本市场的宠儿与媒体的关注点.据易观数据显示,2011年中国母婴市场规模突破1万亿元,预计2015年将突破2万亿元.由于母婴市场辐射孕.婴.童.三大群体,囊括孕.童.父母.亲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjxwoM.html" rel="bookmark" class="title">c&plus;&plus;-请问C&plus;&plus;开发汽车4s店管理系统，小组合作实验，各自的程序如何进行拼装？</a>
					<div>
						问题描述 请问C++开发汽车4s店管理系统,小组合作实验,各自的程序如何进行拼装? 请问C++开发汽车4s店管理系统,小组合作实验,各自的程序如何进行拼装?include对方的cpp么 解决方案 应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEYXoM.html" rel="bookmark" class="title">Proxmox VE 4&period;4 发布，新 Ceph 仪表盘上线</a>
					<div>
						Proxmox VE 4.4 发布了,除了许多改进和更新,还为 Ceph 和集群带来了一个新的仪表盘. Proxmox VE (Proxmox Virtual Environment) 是一个非常棒的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKj82z.html" rel="bookmark" class="title">测试-wmi远程访问提示拒绝访问的问题</a>
					<div>
						问题描述 wmi远程访问提示拒绝访问的问题 最近在弄wmi远程访问的小程序遇到一点麻烦还请各位大神帮忙看看.我在win8系统下的wbemtest中测试WMI连接时,用户名密码输入正确,但连接时提示拒绝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeREO9b.html" rel="bookmark" class="title">涉案酒店 被指缺数据保护措施</a>
					<div>
						含姓名.出生日期.身份证号.住址.手机号等 年轻女性数据近3万条 易引发诈骗和名誉侵权 法制晚报讯(记者 毛占宇 实习生 谢伯祺) 外泄的个人住店信息,包括姓名.性别.出生日期.身份证号.住址.手机号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKJmjz.html" rel="bookmark" class="title">PHP 正则表达式小结&lowbar;php实例</a>
					<div>
						1.PHP中两个常用的正则函数 a.preg_match 正则函数,以perl语言为基础 语法:preg_match( mode,string subject,array matches) 说明:mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Pd2p.html" rel="bookmark" class="title">《大数据分析原理与实践》&mdash;&mdash;1&period;5　全书概览</a>
					<div>
						1.5 全书概览 本书将较为全面地描述大数据分析的模型.技术.实现与应用.其中第2-7章介绍大数据分析模型,包括关联分析模型.分类分析模型.聚类分析模型.结构分析模型和文本分析模型:第8-11章介绍大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye48kM.html" rel="bookmark" class="title">Windows恶意软件API调用特征分析</a>
					<div>
						本文讲的是Windows恶意软件API调用特征分析, 1.背景 目标: 1)找到病毒调用概率高的API 2)找到病毒调用概率不高,但是当调用频次高的时候,是病毒概率高的API. 通常对病毒使用API的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk8q0M.html" rel="bookmark" class="title">LANDesk管理套件9&period;0帮助用户迁移Windows 7</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   Windows 7可能是现在最热门的IT话题. 自09 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YY0Zz.html" rel="bookmark" class="title">whole archive-链接脚本中符号查找问题</a>
					<div>
						问题描述 链接脚本中符号查找问题 文件1: test1.c #include int test1() { printf(&quot;testrn&quot;); } 文件2:test2.c #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Yw3b.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;10&period;5 智慧微能源网（群）多指标自趋优 运行</a>
					<div>
						10.5 智慧微能源网(群)多指标自趋优 运行 如前所述,智慧微能源网(群)是否&quot;智慧&quot;,取决于其是否能够实现多指标自趋优运行[1] .本节采用工程博弈论这一理论,并结合智慧微电网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAgBdb.html" rel="bookmark" class="title">&lbrack;Hibernate开发之路&rsqb;（2）Hibernate问题</a>
					<div>
						(1)数据库驱动问题 log4j:WARN No appenders could be found for logger (org.hibernate.cfg.Environment).log4j:W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodoNjM.html" rel="bookmark" class="title">RFM 常用 CRM 的三維顧客分析法</a>
					<div>
						RFM 三要素的 CRM 三維分析法     如何區分出頂級顧客.可以根據不同分析手法來對顧客加以排名,首先是RFM(或RFS)分析.在業界從一開始做顧客管理就普遍被採用的分析方法,分別是按顧客的最近 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
